| Boost.Locale

Classes | Enumerations | Functions
Collation

## Classes
class | boost::locale::collator< CharType >
| Collation facet. More...
struct | boost::locale::comparator< CharType, default_level >
| This class can be used in STL algorithms and containers for comparison of strings with a level other than identical. More...

## Enumerations
enum class | boost::locale::collate_level { boost::locale::collate_level::primary = 0 , boost::locale::collate_level::secondary = 1 , boost::locale::collate_level::tertiary = 2 , boost::locale::collate_level::quaternary = 3 , boost::locale::collate_level::identical = 4 }
| Unicode collation level types. More...

## Functions
class | boost::locale::BOOST_DEPRECATED ("Use collate_level") collator_base

## Detailed Description

This module introduces collation related classes

## Enumeration Type Documentation

## ◆ collate_level

enum class boost::locale::collate_level
| strong

Unicode collation level types.

Enumerator
primary | 1st collation level: base letters
secondary | 2nd collation level: letters and accents
tertiary | 3rd collation level: letters, accents and case
quaternary | 4th collation level: letters, accents, case and punctuation
identical | identical collation level: include code-point comparison

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.